Subject: [pim] Doubt in inherited_olist(S,G,rpt)

From: "Ketan Talaulikar" <[email-masked]>
Date: Fri, 18 Jan 2002 20:38:25 +0530

Hi,

The inherited_olist(S,G,rpt) macro is used to determine the OIFs over which
data coming in on the RPF_interface(RP) is to be forwarded while the SPT
switchover is not completed. This macro correctly excludes OIFs over which
(S,G)joins have been received. I presume this is to ensure that data
arriving over the RPT till our router is not forwarded over SPT further
downstream.  This so that the downstream routers do not get the false
impression that the SPT switchover has been completed.

However, I find that the macro also excludes the interfaces over which local
(S,G) memberships are received. I was unable to see the harm in forwarding
data arriving over the RPT over such interfaces provided no (S,G) joins are
also received over them. I agree that when we receive a (S,G) membership we
can trigger the SPT. But is there any reason to delay the forwarding of data
till the SPT is established? Is it intentional?

TIA
Ketan